Skip to main content
GET
/
v1
/
whatsapp
/
conversations
/
{conversation_id}
/
messages
List conversation messages
curl --request GET \
  --url https://api.whatsapp-use.com/v1/whatsapp/conversations/{conversation_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "messages": [
    {
      "message_id": "<string>",
      "conversation_id": "<string>",
      "chat_jid": "<string>",
      "wa_message_id": "<string>",
      "sender_jid": "<string>",
      "sender_push_name": "<string>",
      "direction": "<string>",
      "is_from_me": true,
      "content_type": "<string>",
      "body": "<string>",
      "status": "<string>",
      "reply_to_wa_id": "<string>",
      "reactions": {},
      "media": {},
      "sent_at": "2023-11-07T05:31:56Z",
      "received_at": "2023-11-07T05:31:56Z",
      "edited_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "seq": 123
    }
  ],
  "contacts": [
    {
      "person_id": "<string>",
      "display_name": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "company": "<string>",
      "whatsapp_push_name": "<string>",
      "phone_e164": "<string>",
      "phone_jid": "<string>",
      "lid_jid": "<string>"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-WhatsApp-Use-Connection-Id
string

Required when the API key can access multiple WhatsApp connections.

Path Parameters

conversation_id
string
required

Query Parameters

before_message_id
string
limit
integer
Required range: x >= 1

Response

Message page.

messages
object[]
contacts
object[]
has_more
boolean